
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time =1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "???"
command = D,U, D,U
buffer.time=3
time=125
[Command]
name = "???2"
command = D,F,U,U
buffer.time=3
time=125

[Command]
name = "???3"
command = F,D,F,D,D
buffer.time=3
time=125
[Command]
name = "???4"
command = B,U,B,U,B,U
buffer.time=3
time=125

[Command]
name = "???5"
command = U,U,D,U,U,D
buffer.time=3
time=125
;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10
buffer.time=3
[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10
buffer.time=3
;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "back"     ; REQUIRED for command buffering
command = B
time = 1

[Command]
name = "fwd"      ; REQUIRED for command buffering
command = F
time = 1

[Command]
name = "up"       ; REQUIRED for command buffering
command = U
time = 1

[Command]
name = "down"     ; REQUIRED for command buffering
command = D
time = 1

[Command]
name = "downback" ; REQUIRED for command buffering
command = DB
time = 1

[Command]
name = "downfwd"  ; REQUIRED for command buffering
command = DF
time = 1

[Command]
name = "fwd2"     ; REQUIRED for command buffering
command = $F
time = 1

[Command]
name = "back2"    ; REQUIRED for command buffering
command = $B
time = 1

[Command]
name = "up2"
command = $U      ; REQUIRED for command buffering
time = 1

[Command]
name = "down2"    ; REQUIRED for command buffering
command = $D
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_start"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdfwd_r" ; Raw hold forward (REQUIRED for command buffering)
command = /F
time = 1
[Command]
name = "holddown_r" ; Raw hold forward (REQUIRED for command buffering)
command = /D
time = 1
[Command]
name = "holdback_r" ; Raw hold forward (REQUIRED for command buffering)
command = /B
time = 1
[Command]
name = "holdup_r" ; Raw hold forward (REQUIRED for command buffering)
command = /U
time = 1

;-| Release Dir |-----------------------------------------------------------
[Command]
name = "release_fwd"
command = ~F
time = 1

[Command]
name = "release_down"
command = ~D
time = 1

[Command]
name = "release_back"
command = ~B
time = 1

[Command]
name = "release_up"
command = ~U
time = 1

[Command]
name = "release_fwd_g"    ; REQUIRED for command buffering
command = ~$F
time = 1

[Command]
name = "release_down_g"   ; REQUIRED for command buffering
command = ~$D
time = 1

[Command]
name = "release_back_g"   ; REQUIRED for command buffering
command = ~$B
time = 1

[Command]
name = "release_up_g"     ; REQUIRED for command buffering
command = ~$U
time = 1

[Command]
name = "release_downback" ; REQUIRED for command buffering
command = ~DB
time = 1

[Command]
name = "release_downfwd"  ; REQUIRED for command buffering
command = ~DF
time = 1

;-| Release Button |---------------------------------------------------------
[Command]
name = "release_a"
command = ~a
time = 1

[Command]
name = "release_b"
command = ~b
time = 1

[Command]
name = "release_c"
command = ~c
time = 1

[Command]
name = "release_x"
command = ~x
time = 1

[Command]
name = "release_y"
command = ~y
time = 1

[Command]
name = "release_z"
command = ~z
time = 1

[Command]
name = "release_start"
command = ~s
time = 1
;---------------------------------------------------------------------------


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;---------------------------------------------------------------------------
; ES Commands
[State -1, ES Command Reset]
type = Null
triggerall = Time
trigger1 = e||(var(45) := 0)
trigger1 = e||(var(46) := 0)
[State -1, ES Command Reset]
type = Null
triggerall = !ishelper
triggerall = time=2 && var(2)=2 && stateno!=[1000,3999]
trigger1 = e||(var(2) := 0)

[State -1, KK]
type = VarSet
triggerall = numHelper(10006)
triggerall = !AILevel
triggerall=  cond(numhelper(8083),helper(8083),var(0)!=78,1) && cond(numhelper(8084),helper(8084),var(0)!=78,1) && helper(7000),var(2)>0
triggerall = movecontact&&(stateno!=[1000,1999]) || ctrl||stateno=40
trigger1 = (helper(10006), var(0)&6144) > 0
trigger1 = (helper(10006), var(0)&6144) != 2048 && (helper(10006), var(0)&6144) != 4096 ;&& (helper(10006), var(0)&14336) != 8192

trigger2 = (helper(10006), var(0)&112) > 0
trigger2 = (helper(10006), var(0)&112) != 16 && (helper(10006), var(0)&112) != 32 && (helper(10006), var(0)&112) != 64

var(46) = 1
ignorehitpause = 1

[State -1, PP]
type = VarSet
triggerall = numHelper(10006)
triggerall = !AILevel
triggerall=  cond(numhelper(8083),helper(8083),var(0)!=78,1) && cond(numhelper(8084),helper(8084),var(0)!=78,1) && helper(7000),var(2)>0
triggerall = movecontact&&(stateno!=[1000,1999]) || ctrl
trigger1 = (helper(10006), var(0)&384) > 0
trigger1 = (helper(10006), var(0)&384) != 128 && (helper(10006), var(0)&384) != 256; && (helper(10006), var(0)&896) != 512

trigger2 = (helper(10006), var(0)&7) > 0
trigger2 = (helper(10006), var(0)&7) != 1 && (helper(10006), var(0)&7) != 2 && (helper(10006), var(0)&7) != 4

var(45) = 1
ignorehitpause = 1
;---------------------------------------------------------------------------
;Stand Light Punch
;������p���`
[State -1, Stand Light Punch AI]
type = ChangeState
value = 3000
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = helper(10003),var(3)=0
triggerall = statetype != A
triggerall = var(4)!=1 && var(4)<4
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = power=1000 && p2stateno!=5050
triggerall=(fvar(15) =[-25,120])|| p2statetype=A && fvar(15) =[-25,115]
triggerall = p2stateno!=441
triggerall = p2stateno!=[120,155]
triggerall = p2statetype!=A||p2bodydist y =[-45,-15]
triggerall = p2statetype!=L
trigger1 = ctrl&& ((p2movetype=A ||helper(7000),var(2)>1||helper(7000),var(3) && life=lifemax)|| p2stateno=5901|| enemy,hitfall && var(4)<4)
trigger2= stateno=410 &&  movehit
trigger3= stateno=210 &&  movehit
trigger4= stateno=240 &&  movehit 
trigger5= stateno=200 &&  movehit && enemy,hitfall
;---------------------------------------
[State -1, Stand Light Punch AI]
type = ChangeState
value = 1050
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel>0
triggerall = var(18)>40
triggerall = statetype != A
triggerall = random <(200 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall= p2bodydist x =[-10,75]
triggerall= p2bodydist y <-25 || p2bodydist y = 0
trigger1 = (ctrl||stateno=[10,12]) && (p2statetype=A||p2movetype=A) && (p2movetype!=H||p2stateno=[120,155])&& p2stateno!=10612 && p2stateno!=441
trigger2= stateno=210 && movehit
trigger3= stateno=410 && movehit 

;-----------------------------------------------------------
[State -1, Throw2]
type = ChangeState
value = 830
triggerall = AILevel > 0
triggerall = random <= (360 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = ctrl || stateno=20 || prevstateno=5120
triggerall = stateno != [200,9999]
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = p2statetype!=L
triggerall = p2movetype!=H||(p2stateno=[120,133]) || (p2stateno=5901) 
trigger1 = p2bodydist x < 32 
trigger2 = (p2stateno =[120,140]) &&(p2bodydist x < 32 )
;-----------------------------------------------------------
[State -1, Throw2]
type = ChangeState
value = 800
triggerall = AILevel > 0
triggerall = random <= (360 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = ctrl || stateno=20 || prevstateno=5120
triggerall = stateno != [200,9999]
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = p2statetype!=L
triggerall = p2movetype!=H||(p2stateno=[120,133]) || (p2stateno=5901) && p2life <100
trigger1 = p2bodydist x < 32 
trigger2 = (p2stateno =[120,150]) &&(p2bodydist x < 32 )
 ;--------------------------------------------
[State -1, Guard]
type = ChangeState
value = 120
triggerall = movetype !=H || stateno=5210
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = stateno!=[120,155]
triggerall = statetype!=A
triggerall=AILevel>0 && p2movetype!=H
triggerall = p2bodydist x >-25
triggerall = ((EnemyNear, movetype=A&& enemy,numproj>0)||(  enemy,numproj>0 || enemynear,hitdefattr = SCA,AA))
;triggerall = (statetype!=A)||(statetype=A && p2bodydist x >5)
triggerall =movetype=I || stateno=5210 || (helper(10003),var(7)=1)
Triggerall =  Random < ((904 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0)))
triggerall =InGuardDist||((EnemyNear, movetype=A&& enemy,numproj>0)||( enemy,numproj>0 || enemynear,hitdefattr = SCA,AA))
trigger1 = ctrl ||(stateno=[10,20])|| stateno=[10,12]


;---------------------------------------------------------------------------
;Stand Light Punch YOU HAVE BETTER OPTIONS
;������p���`
[State -1, Stand Light Punch AI]
type = ChangeState
value = 200
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = statetype != A
triggerall = p2statetype!=L
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = p2bodydist y =[-65,0]
triggerall = var(4)<4&& ((p2statetype=A&&p2bodydist x=[-8,30])||p2bodydist x=[-8,15])
 triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = p2statetype!=C
triggerall = helper(10003),var(8)=0
trigger1 = (ctrl||stateno=[0,20]) && (helper(10003),var(10)>0)&& p2bodydist x <10
trigger2= (ctrl||stateno=[0,20])   && p2statetype=A 
trigger3= stateno=400 && animelemtime(2)>0 &&movecontact
trigger4= stateno=200 && animelemtime(2)>0  &&movecontact
trigger5= stateno=230 && animelemtime(3)>0 &&movecontact
trigger6= stateno=430 && animelemtime(3)>0 &&movecontact
;---------------------------------------------------------------------------
;Stand Strong Punch
;�������p���`
[State -1, Stand Strong Punch AI]
type = ChangeState
value = 210
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0)) 
triggerall = var(4)<4 && (var(4)!=1 ||p2bodydist y >-20)&& (p2bodydist x=[-8,60])
triggerall = p2statetype!=L
triggerall = helper(10003),var(8)=0
triggerall = p2statetype!=A||p2bodydist y =[-65,-10]
trigger1= (ctrl||stateno=[10,20])  && ((enemy,hitfall&&p2bodydist x=[35,60])||(p2bodydist x=[40,65]) && p2statetype!=A )&&random <199
trigger2=  (ctrl||stateno=[10,20]) && (helper(10003),var(11)>0)&& p2bodydist x <55
trigger3=(ctrl||stateno=[10,20])  && p2statetype=A&&p2movetype!=H &&enemy,vel y >-2  && enemy,hitfall
trigger4 = (stateno=200||stateno=400) && animelemtime(1)<4
trigger4 = prevstateno=200 || prevstateno=400
;---------------------------------------------------------------------------
;Stand Light Kick
;������L�b�N
[State -1, Stand Light Kick AI]
type = ChangeState
value = 230
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = helper(10003),var(8)=0
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = p2statetype!=A||p2bodydist y =[-45,-5]
triggerall = var(4)<4
triggerall = helper(10003),var(8)=0
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall= p2bodydist x =[-5,35]
trigger1 = (ctrl||stateno=[10,20]) && (helper(10003),var(10)>0)&& p2bodydist x <35
trigger2=(ctrl||stateno=[10,20])  && p2statetype=A&&p2movetype!=H &&enemy,vel y >-1  && enemy,hitfall
trigger3= stateno=400 && animelemtime(2)>0  &&movecontact
trigger4= stateno=200 && animelemtime(2)>0  &&movecontact
trigger5= stateno=230 && animelemtime(3)>0  &&movecontact
trigger6= stateno=430 && animelemtime(3)>0 &&movecontact
;---------------------------------------------------------------------------
;Standing Strong Kick
;�������L�b�N
[State -1, Standing Strong Kick AI]
type = ChangeState
value = 240
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
triggerall = var(4)<4
triggerall = helper(10003),var(8)=0
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = p2bodydist x =[0,55]
triggerall = p2statetype!=A
triggerall = p2statetype!=A||p2bodydist y =[-65,-10]
trigger1 = (ctrl||stateno=[10,20]) && ((enemy,hitfall&&p2bodydist x=[-8,60])||p2bodydist x=[40,55])&&random <199 && helper(10003),var(10)=0
trigger2=(ctrl||stateno=[10,20])  && p2statetype=A&&p2movetype!=H &&enemy,vel y >-1  && enemy,hitfall
trigger3=  (ctrl||stateno=[10,20]) && (helper(10003),var(11)>0)&& p2bodydist x <50
trigger4 = (stateno=230||stateno=430) && animelemtime(1)<4
trigger4 = prevstateno=230 || prevstateno=430
;---------------------------------------------------------------------------
;Crouching Light Punch
;���Ⴊ�ݎ�p���`
[State -1, Crouching Light Punch AI]
type = ChangeState
value = 400
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))  
triggerall = p2statetype!=A||enemy,vel y >0&&p2bodydist y =[-55,-10] 
triggerall = p2statetype!=L
triggerall = var(4)<4
triggerall = helper(10003),var(8)=0
triggerall = fvar(15) <65&& enemy,vel x>=0 || fvar(15) <60
trigger1=(helper(10003),var(10)>0)&&ctrl
trigger2=(ctrl||stateno=[10,20])  && p2statetype=A&&p2movetype!=H &&enemy,vel y >-1  && enemy,hitfall
trigger3= stateno=400 && animelemtime(2)>0  &&movecontact&& fvar(15)<45
trigger4= stateno=200 && animelemtime(2)>0  &&movecontact&& fvar(15)<45
trigger5= stateno=230 && animelemtime(3)>0  &&movecontact&& fvar(15)<45
trigger6= stateno=430 && animelemtime(3)>0 &&movecontact && fvar(15)<45
trigger7 = p2movetype=H && ctrl && fvar(15) <50 
;---------------------------------------------------------------------------
;Crouching Strong Punch
;���Ⴊ�݋��p���`
[State -1, Crouching Strong Punch AI]
type = ChangeState
value = 410
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))  
triggerall = p2statetype!=A||enemy,vel y >0&&p2bodydist y =[-55,-10] 
triggerall = p2statetype!=L
triggerall = var(4)<4
triggerall = helper(10003),var(8)=0
triggerall = fvar(15) <65&& enemy,vel x>=0 || fvar(15) <60
trigger1=(ctrl||stateno=[10,20]) && (helper(10003),var(11)>0)&&fvar(15)=[-8,70]
trigger2=  (ctrl||stateno=[10,20])  && ((enemy,hitfall&&p2bodydist x=[15,80])||(p2bodydist x=[40,75]) && p2statetype!=A )&&random <199
trigger3 = (stateno=200||stateno=400) && animelemtime(1)<4
trigger3 = prevstateno=200 || prevstateno=400

;---------------------------------------------------------------------------
;Crouching Light Kick
;���Ⴊ�ݎ�L�b�N
[State -1, Crouching Light Kick AI]
type = ChangeState
value = 430
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = helper(10003),var(8)=0
triggerall = var(4)<4&& fvar(15)=[0,75]
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))|| (movehit&&AILevel>6)
triggerall = p2statetype!=A && (p2statetype!=L||p2stateno=5120)
triggerall = p2statetype=S && fvar(15)<75||((helper(10003),var(13)>0||helper(10003),var(12)>0) && fvar(15)<75) 
trigger1= helper(10003),var(12)=0 &&ctrl
trigger2 = (ctrl||stateno=[10,20])  && p2statetype=S &&  helper(10003),var(3)=0
trigger3 = (ctrl||stateno=[10,20])&&  helper(10003),var(10)=1&& fvar(15)<70
trigger4= stateno=400 && animelemtime(2)>0  &&movecontact
trigger5= stateno=200 && animelemtime(2)>0  &&movecontact
trigger6= stateno=230 && animelemtime(3)>0  &&movecontact
trigger7= stateno=430 && animelemtime(3)>0 &&movecontact
;\ ---------------------------------------------------------------------------
;Crouching Strong Kick
;���Ⴊ�݋��L�b�N
[State -1, Crouching Strong Kick AI]
type = ChangeState
value = 440
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel>0
triggerall = statetype != A
triggerall = helper(10003),var(8)=0
triggerall = Random <=(496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = p2statetype!=A
triggerall = var(4)=0 
triggerall = p2statetype!=L || p2stateno=5120 && enemy,time>8
triggerall = fvar(15) =[-7,85]
triggerall =  helper(10003),var(3)=0
trigger1 = ctrl  &&  fvar(15) =[45,85]
trigger2 = (stateno=230||stateno=430) && animelemtime(1)<4
trigger2 = prevstateno=230 || prevstateno=430
;---------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 600
triggerall = AILevel >0
triggerall = statetype = A
Triggerall = (P2BodyDist X = [-30,80])
Triggerall = Random <=(600 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0)) ;|| (p2movetype=A && AIlevel >5)
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = vel y >=0 || p2statetype=A
triggerall = p2bodydist y =[-5,90]
triggerall = (movetype !=H)
trigger1 = ctrl
;---------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = AILevel >0
triggerall = statetype = A
Triggerall = (P2BodyDist X = [-1,90])
Triggerall = Random <=(600 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0)) ;|| (p2movetype=A && AIlevel >5)
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = vel y >0
triggerall = p2bodydist y =[-5,80]
triggerall = (movetype !=H)
trigger1 = ctrl


;---------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 630
triggerall = AILevel >0
triggerall = statetype = A
Triggerall = (P2BodyDist X = [-20,80])
Triggerall = Random <=(600 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0));|| (p2movetype=A && AIlevel >5)
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = vel y >0 || p2statetype=A&&vel x!=0
triggerall = p2bodydist y =[-5,80]
triggerall = (movetype !=H)
trigger1 = ctrl
;---------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 640
triggerall = AILevel >0
triggerall = statetype = A
Triggerall = (P2BodyDist X = [-20,105])
Triggerall = Random <=(600 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0)) ;|| (p2movetype=A && AIlevel >5)
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = vel y >0 
triggerall = p2bodydist y =[-5,80]
triggerall = (movetype !=H)
trigger1 = ctrl


;---------------------------------------
[State -1, Stand Light Punch AI]
type = ChangeState
value = 1150
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel>0

triggerall = statetype = A
triggerall = random <(152 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall= pos y <-35 && p2movetype=A|| p2stateno=821 && p2bodydist x <160||p2bodydist x =[-25,140]
triggerall=  p2bodydist y> 0||p2bodydist y =[-5,-25]
trigger1 = ctrl  && ((p2movetype!=A||p2statetype!=A)||numhelper(1001)>0)
;---------------------------------------
[State -1, Stand Light Punch AI]
type = ChangeState
value = 1050
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel>0
triggerall = var(18)>=40
triggerall = statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = random <(240 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall= p2bodydist x =[-5,105]
triggerall= p2bodydist y <-20 || p2bodydist y = 0
trigger1 = (stateno=40||((prevstateno=[200,3000])||prevstateno=52)&&stateno=0||stateno=[10,12]) && (p2statetype=A||p2movetype=A) && (p2movetype!=H||p2stateno=[120,155])&& p2stateno!=10612 && p2stateno!=441
trigger2= stateno=410 && movehit&& p2bodydist x <45
trigger3= anim=210 && movehit && p2bodydist x <45
;------------------------------
[State -1, Stand Light Punch AI]
type = ChangeState
value = 1000
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel>0
triggerall = random <(320 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = statetype != A
triggerall = var(16)>=40
triggerall = movetype!=H
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = stateno!=[1000,3000]
trigger1 =  helper(10003),var(20)>0
trigger2 = helper(10003),var(21)>0
trigger3 = helper(10003),var(22)>0 &&  helper(7000),var(2)>0&& statetype != A&& statetype != L 
trigger4 = (stateno=240&&moveguarded ||stateno=240 || (stateno=400||stateno=200) && p2statetype=A ) && movecontact
;-------------------------------------------------
[state -1, AI jump]
type = changestate
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall =random < (999 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall = AILevel >0
triggerall = statetype != A
triggerall = movetype!=H
triggerall = stateno!=40
trigger1 = helper(10003),var(30) && ctrl
value = 40

[State -1, AI run]
type=changestate
value=10
triggerall=(stateno!=[10,12])
triggerall=AILevel >0 && statetype=S 
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = p2stateno!=5901
triggerall= p2stateno!=5120 || var(16)>35
triggerall = p2bodydist y =0 || p2bodydist y <-25
triggerall=ctrl 
trigger1=p2statetype=A && random < 15*AIlevel && (enemy,vel x >0|| p2movetype=A)
trigger2 = p2bodydist x >65 && random < 15*AIlevel
trigger3 = p2stateno=821 && random < 10*AIlevel
[State -1, AI run]
type=changestate
value=20
triggerall =random < (999 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall=AILevel >0 && statetype=S && ctrl && random < 249
trigger1= (stateno!=[10,105]) && p2movetype!=A && (p2bodydist x=[-8,179])

;---------------------------------------------------------------------------
;�ΰ����� �޸���
[State -1, AI_Run Fwd]
type = ChangeState
value = 100
triggerall = movetype != H
triggerall = P2Life > 0
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel >0
triggerall = stateno != 100 
triggerall = statetype = S 
triggerall = p2bodydist x > 0
trigger1 = p2bodydist x >= 210 && p2statetype!=L&& p2movetype!=A &&random <= (496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
trigger1 = ctrl
trigger2 = p2bodydist x >= 120 && (p2stateno=5901)&&random <= (496 * (cond((AIlevel + helper(7000),var(1))>0,(AIlevel + helper(7000),var(1)),1) ** 2 / 64.0))
trigger2 = ctrl
;---------------------------------------------------------------------------
;�ΰ����� ����
[State -1, AI_Run Back]
type = ChangeState
value = 105
triggerall = movetype != H
triggerall = P2Life > 0
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel >0
triggerall = p2statetype!=A || p2movetype!=H 
triggerall = statetype != a
triggerall = BackEdgeBodyDist > 50
triggerall = ctrl
triggerall = p2movetype!=H || p2stateno=824||p2statetype=L
triggerall = p2bodydist x > 0
trigger1 = random <= 7*AIlevel
trigger1 = p2bodydist x < 40 && (p2movetype!=H);|| p2stateno=824
trigger2 = random <= 15*AIlevel
trigger2 = p2bodydist x < 40 && p2statetype=L && var(8)=0
trigger3 = random <= 25*AIlevel
trigger3 = p2bodydist x < 40 && p2statetype=A &&p2movetype=A && backedgebodydist >50 && p2bodydist y <-45
;===========================================================================

;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;�O��J���t�[�˂���i�Q�[�W���x���P�j
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = ((helper(10006), var(0)&8192) =[517,8192]) || (helper(10006), var(0)&516) =[1,516]  
triggerall = power = 1000
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
trigger1 = ctrl||(stateno<1000&&movetype!=H&&stateno=[200,499])&&time=0
trigger2= (stateno=[200,440]) &&  (movecontact)
trigger3 = StateNo = 5120 && AnimTime = 0 && !enemy,var(8) && !numexplod(59010)
trigger4 = cond(numhelper(8083),helper(8083),var(0)=87,0) || cond(numhelper(8084),helper(8084),var(0)=87,0)
trigger4 = stateno=1050 && movecontact|| stateno=1000 && animelemtime(4)>0

;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
;�����J���t�[�E�E�b�p�[
;[State -1, Fast Kung Fu Upper]
;type = ChangeState
;value = 1100
;triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
;triggerall = !ishelper && numhelper(10006)
;triggerall = roundstate=2
;triggerall = AIlevel =0
;triggerall = var(16)>40
;triggerall = command = "QCB_x" || command="QCB_y"
;trigger1=ctrl && statetype!=A
;trigger2= stateno=200 &&  (animelemtime(2)>0 || movecontact)
;trigger3= stateno=400 &&  (animelemtime(2)>0 || movecontact)
;---------------------------------------------------------------------------
;Kung Fu Throw
;����
[State -1, cmdg]
type = ChangeState
value = 830
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel =0
triggerall = (helper(10006), Var(59)&(2**5)) > 0
triggerall = (helper(10006), var(0)&2064) > 0||(helper(10006), var(0)&4128) > 0
triggerall = statetype = S
triggerall = helper(7000),sysvar(2)>0 || !movecontact
trigger1 = ctrl
trigger2 = stateno=[200,440]
trigger2 = time<3

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;�J���t�[�E�E�b�p�[�i��j
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1050
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = var(18)>=40
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = (helper(10006), Var(59)&(2**16)) > 0
triggerall= (((helper(10006), var(0)&2064) > 0)||((helper(10006), var(0)&4128) > 0)) ;&&(helper(6999),var(1)<5);&& stateno=40
trigger1=(ctrl||stateno=40)&& statetype!=A;||stateno=50&&time<2
trigger2= (stateno=[200,440]) &&  (movecontact)
trigger3 = StateNo = 5120 && AnimTime = 0 && !enemy,var(8) && !numexplod(59010)
trigger4 = stateno=[200,440]
trigger4 = time<3

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;�J���t�[�˂���i��j
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = numhelper(1001)=0
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = var(16)>=40
triggerall = (helper(10006), Var(59)&(2**6)) > 0||(helper(10006), Var(59)&(2**4)) > 0
triggerall =  ((helper(10006), var(0)&129) > 0 ||  (helper(10006), var(0)&258) > 0)|| helper(10006),var(30)>0;&&(helper(6999),var(2)<5)
trigger1=ctrl&& statetype!=A
trigger2= (stateno=[200,440]) &&  (movecontact)
trigger3 = StateNo = 5120 && AnimTime = 0 && !enemy,var(8) && !numexplod(59010)
trigger4 = stateno=[200,440]
trigger4 = time<3

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;�J���t�[�E�E�b�p�[�i��j
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1150
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = pos y <-20
triggerall = (helper(10006), var(0)&129) > 0 ||  (helper(10006), var(0)&258) > 0
triggerall =  (helper(10006),command="holddown" || helper(10006),command="down")
trigger1=ctrl && statetype=A 
trigger2 = StateNo = 5120 && AnimTime = 0 && !enemy,var(8) && !numexplod(59010)
trigger3=stateno=[200,440]
trigger3=time<3

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;�_�b�V��

;---------------------------------------------------------------------------
;Run Back
;��ރ_�b�V��
;[State -1, Run Back]
;type = ChangeState
;value = 105
;triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
;triggerall = !ishelper && numhelper(10006)
;triggerall = roundstate=2
;triggerall = AIlevel =0
;triggerall = command = "BB"
;triggerall = statetype != A
;trigger1 = ctrl
;trigger2= stateno=200 && movecontact
;trigger3= stateno=400 && movecontact
;trigger4= anim=210 && movecontact
;---------------------------------------------------------------------------
;Kung Fu Throw
;����
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&258) > 0 ||(helper(10006), var(0)&4128) > 0
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"||command = "holdback"
trigger1 = p2bodydist X <32
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno=5901
;---------------------------------------------------------------------------
;Run Fwd
;�_�b�V��
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall=AILevel <=2
trigger1 = (helper(10006), Var(59)&(2**30)) > 0
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;Run Back
;��ރ_�b�V��
[State -1, Run Back]
type = ChangeState
value = 105
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2 && helper(7000),var(34)=0
triggerall = AIlevel =0
triggerall = (helper(10006), Var(59)&-2147483648) = -2147483648
triggerall = statetype != A
trigger1 = ctrl



;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;������p���`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&129) > 0 ;&& (helper(10006), var(2)) = 0 ;|| command="x"
triggerall = helper(10006),command != "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
trigger1 = ctrl
trigger2= (anim=200||anim=230||stateno=430) && animelemtime(2)>0 
trigger3=((stateno=400)) && animelemtime(3)>0 
trigger4 = stateno=[1000,1250]
trigger4 = movecontact 
trigger4 = !enemy,gethitvar(isbound)
trigger4= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger5 = stateno=210||stateno=240||stateno=410||stateno=440
trigger5 = movecontact 
trigger5= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 
;---------------------------------------------------------------------------
;Stand Strong Punch
;�������p���`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall =(helper(10006), var(0)&258) > 0
triggerall = helper(10006),command != "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno=200||stateno=400) && animelemtime(1)<4
trigger2 = prevstateno=200 || prevstateno=400
trigger3 = stateno=[1000,1250]
trigger3 = movecontact 
trigger3 = !enemy,gethitvar(isbound)
trigger3= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger4 = stateno=200||stateno=230||stateno=400||stateno=430
trigger4 = movecontact 
trigger4= cond(numhelper(8083),helper(8083),var(0)=87,0) || cond(numhelper(8084),helper(8084),var(0)=87,0) 
;---------------------------------------------------------------------------
;Stand Light Kick
;������L�b�N
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&2064) > 0 
triggerall = helper(10006),command != "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
trigger1 = ctrl
trigger2= (anim=200||anim=230||stateno=430) && animelemtime(2)>0 
trigger3=((stateno=400)) && animelemtime(3)>0 
trigger4 = stateno=[1000,1250]
trigger4 = movecontact 
trigger4 = !enemy,gethitvar(isbound)
trigger4= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger5 = stateno=210||stateno=240||stateno=410||stateno=440
trigger5 = movecontact 
trigger5= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 
;---------------------------------------------------------------------------
;Standing Strong Kick
;�������L�b�N
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall =(helper(10006), var(0)&4128) > 0
triggerall = helper(10006),command != "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno=230||stateno=430) && animelemtime(1)<4
trigger2 = prevstateno=230 || prevstateno=430
trigger3 = stateno=[1000,1250]
trigger3 = movecontact 
trigger3 = !enemy,gethitvar(isbound)
trigger3= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger4 = stateno=200||stateno=230||stateno=400||stateno=430
trigger4 = movecontact 
trigger4= cond(numhelper(8083),helper(8083),var(0)=87,0) || cond(numhelper(8084),helper(8084),var(0)=87,0) 
;---------------------------------------------------------------------------
;Crouching Light Punch
;���Ⴊ�ݎ�p���`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&129) > 0
triggerall = helper(10006),command = "holddown"
triggerall= statetype != A
triggerall = helper(7000),sysvar(2)>0 || !movecontact
trigger1 = ctrl
trigger2= (anim=200||anim=230||stateno=430) && animelemtime(2)>0 
trigger3=((stateno=400)) && animelemtime(3)>0 
trigger4 = stateno=[1000,1250]
trigger4 = movecontact 
trigger4 = !enemy,gethitvar(isbound)
trigger4= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger5 = stateno=210||stateno=240||stateno=410||stateno=440
trigger5 = movecontact 
trigger5= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 
;---------------------------------------------------------------------------
;Crouching Strong Punch
;���Ⴊ�݋��p���`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall =(helper(10006), var(0)&258) > 0
triggerall = helper(10006),command = "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall= statetype != A
trigger1 = ctrl
trigger2 = (stateno=200||stateno=400) && animelemtime(1)<4
trigger2 = prevstateno=200 || prevstateno=400
trigger3 = stateno=[1000,1250]
trigger3 = movecontact 
trigger3 = !enemy,gethitvar(isbound)
trigger3= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger4 = stateno=200||stateno=230||stateno=400||stateno=430
trigger4 = movecontact 
trigger4= cond(numhelper(8083),helper(8083),var(0)=87,0) || cond(numhelper(8084),helper(8084),var(0)=87,0) 
;---------------------------------------------------------------------------
;Crouching Light Kick
;���Ⴊ�ݎ�L�b�N
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&2064) > 0
triggerall = helper(10006),command = "holddown"
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall= statetype != A
trigger1 = ctrl
trigger2= (anim=200||anim=230||stateno=430) && animelemtime(2)>0 
trigger3=((stateno=400)) && animelemtime(3)>0 
trigger4 = stateno=[1000,1250]
trigger4 = movecontact 
trigger4 = !enemy,gethitvar(isbound)
trigger4= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger5 = stateno=210||stateno=240||stateno=410||stateno=440
trigger5 = movecontact 
trigger5= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 

;\ ---------------------------------------------------------------------------
;Crouching Strong Kick
;���Ⴊ�݋��L�b�N
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = helper(7000),sysvar(2)>0 || !movecontact
triggerall =(helper(10006), var(0)&4128) > 0
triggerall = helper(10006),command = "holddown"
triggerall= statetype != A
trigger1 = ctrl
trigger2 = (stateno=230||stateno=430) && animelemtime(1)<4
trigger2 = prevstateno=230 || prevstateno=430
trigger3 = stateno=[1000,1250]
trigger3 = movecontact 
trigger3 = !enemy,gethitvar(isbound)
trigger3= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger4 = stateno=200||stateno=230||stateno=400||stateno=430
trigger4 = movecontact 
trigger4= cond(numhelper(8083),helper(8083),var(0)=87,0) || cond(numhelper(8084),helper(8084),var(0)=87,0) 
;---------------------------------------------------------------------------
;Jump Light Punch
;�󒆎�p���`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&129) > 0
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno=[1000,1250]
trigger2 = movecontact 
trigger2 = !enemy,gethitvar(isbound)
trigger2= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger3 = stateno=610||stateno=640
trigger3 = movecontact 
trigger3= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall =(helper(10006), var(0)&258) > 0
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno=[1000,1250]
trigger2 = movecontact 
trigger2 = !enemy,gethitvar(isbound)
trigger2= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger3 = stateno=600||stateno=630
trigger3 = movecontact 
trigger3= cond(numhelper(8083),helper(8083),var(0)=64,0) || cond(numhelper(8084),helper(8084),var(0)=64,0) 



;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall = (helper(10006), var(0)&2064) > 0
trigger1 = statetype = A
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno=[1000,1250]
trigger2 = movecontact 
trigger2 = !enemy,gethitvar(isbound)
trigger2= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger3 = stateno=610||stateno=640
trigger3 = movecontact 
trigger3= cond(numhelper(8083),helper(8083),var(0)=65,0) || cond(numhelper(8084),helper(8084),var(0)=65,0) 


;---------------------------------------------------------------------------
;Jump Strong Kick
;�󒆋��L�b�N
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
triggerall = !ishelper && numhelper(10006)
triggerall = roundstate=2
triggerall = AIlevel =0
triggerall =(helper(10006), var(0)&4128) > 0
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno=[1000,1250]
trigger2 = movecontact 
trigger2 = !enemy,gethitvar(isbound)
trigger2= cond(numhelper(8083),helper(8083),var(0)=74,0) || cond(numhelper(8084),helper(8084),var(0)=74,0) 
trigger3 = stateno=600||stateno=630
trigger3 = movecontact 
trigger3= cond(numhelper(8083),helper(8083),var(0)=64,0) || cond(numhelper(8084),helper(8084),var(0)=64,0) 

;[State -1, Guard]
;type = ChangeState
;value = 120
;triggerall = movetype !=H || animtime=0&&stateno=5120 && enemy,var(8)=0
;triggerall =cond(numhelper(7000),!helper(7000),var(34),0)
;triggerall = !ishelper && numhelper(10006)
;triggerall = roundstate=2
;triggerall = statetype!=A
;triggerall=AILevel=0 
;triggerall = command="holdback"|| command = "holdback" && command = "holddown" 
;triggerall = inguarddist || enemy,numproj>0 
;trigger1 = ctrl ||(stateno=[10,20])